
public class Class66_Sub2 extends Class66 {

   Class326 aClass326_8116 = new Class326();
   int anInt8117 = 675949624;
   Class321 aClass321_8118 = new Class321();
   boolean aBool8119;
   Interface6 anInterface6_8120;
   int anInt8121;
   Class326 aClass326_8122 = new Class326(Float.NaN, Float.NaN, Float.NaN);
   Class326 aClass326_8123 = new Class326(Float.NaN, Float.NaN, Float.NaN);
   Class326 aClass326_8124 = new Class326();
   Class321 aClass321_8125 = new Class321();


   public boolean method1420() {
      return !Float.isNaN(this.aClass326_8122.aFloat4036);
   }

   public void method13073(Interface6 var1, Class326 var2, Class321 var3, boolean var4, int var5, Class272 var6, int[][][] var7, int var8) {
      this.anInterface6_8120 = var1;
      this.aClass326_8116.method5894(var2);
      this.aClass321_8118.method5775(var3);
      this.aBool8119 = var4;
      this.anInt8117 = -404642145 * var5;
      this.anInt8121 = this.anInterface6_8120.method21((byte)-45).anInt8645 * -674434517;
      this.method13082(var6, var7, -1948193650);
   }

   void method13074(Class272 var1, int[][][] var2) {
      if(this.method1405((byte)44) && (this.aClass35_629.method929(32167866) || this.aClass35_629.method930((byte)41))) {
         Class321 var3 = this.method13075((short)17887);
         if(this.aClass35_629.method930((byte)-19) && null != var2) {
            ;
         }

         var3.method5817();
      }

   }

   Class321 method13075(short var1) {
      Class321 var2 = Class321.method5774(this.aClass321_8118);
      if(this.aBool8119) {
         Class326 var3 = this.anInterface6_8120.method23(1243687029);
         if(var3.method5889() < (float)(this.anInt8117 * -1089211041)) {
            var3 = Class326.method5868(0.0F, 0.0F, 1.0F);
            Class321 var4 = this.anInterface6_8120.method22(313688749);
            var3.method5871(var4);
         }

         var3.aFloat4037 = 0.0F;
         float var6 = (float)Math.atan2((double)var3.aFloat4036, (double)var3.aFloat4033);
         var3.method5948();
         Class321 var5 = new Class321();
         var5.method5784(0.0F, 1.0F, 0.0F, var6);
         var2.method5795(var5);
      }

      return var2;
   }

   public void method1421(RS2Buffer var1) {
      Class48 var2 = Class338.method6230(var1.readUnsignedByte(-700559597), (byte)-58);
      int var3 = var1.readUnsignedShort(-937710807);
      this.aClass326_8116.method5872(var1);
      this.aClass321_8118.method5812(var1);
      if(var1.readUnsignedByte(-700559597) == 1) {
         this.aBool8119 = true;
      } else {
         this.aBool8119 = false;
      }

      this.anInt8117 = var1.readUnsignedShort(-937710807) * -404642145;
      this.anInterface6_8120 = this.aClass35_629.method881((byte)-84).method2(var2, var3, (byte)119);
   }

   public void method1410(float var1, Class272 var2, int[][][] var3) {
      if(this.anInterface6_8120 != null) {
         this.method13082(var2, var3, -1591349545);
         Class321 var4 = this.method13075((short)15446);
         this.aClass321_8125.method5808(var4, this.aClass35_629.method965(1914280448));
         var4.method5817();
         this.aClass326_8123.method5894(this.anInterface6_8120.method21((byte)-72).method13977(250627945));
         this.aClass35_629.method884(true, var1, this.aClass326_8122, this.aClass35_629.method988(-1214512338), this.aClass326_8123, this.aClass326_8124, -1114716378);
      }
   }

   public Class326 method1406(int var1) {
      Class326 var2 = Class326.method5922(this.aClass326_8116);
      var2.method5871(this.aClass321_8125);
      Class326 var3 = Class326.method5870(this.aClass326_8122, var2);
      var2.method5948();
      return var3;
   }

   public boolean method1414() {
      return !Float.isNaN(this.aClass326_8122.aFloat4036);
   }

   public Class326 method13076(int var1) {
      return this.aClass326_8122;
   }

   public Class326 method13077(int var1) {
      return this.aClass326_8116;
   }

   public float method13078(int var1) {
      return Class123.method2377(this.aClass321_8118, (byte)95);
   }

   public float method13079(byte var1) {
      return Class248.method4453(this.aClass321_8118, -1590883231);
   }

   public void method1408(Class31 var1, int var2, int var3, int var4) {
      Class326 var5 = this.method1406(1765140869);
      var1.anInt371 = ((int)var5.aFloat4036 - var2) * 269727077;
      var1.anInt370 = (int)(-var5.aFloat4037) * -1799671305;
      var1.anInt369 = 300130081 * ((int)var5.aFloat4033 - var3);
      var5.method5948();
   }

   public Class326 method13080() {
      return this.aClass326_8122;
   }

   public float method13081() {
      return Class123.method2377(this.aClass321_8118, (byte)54);
   }

   public void method1411(float var1, Class272 var2, int[][][] var3) {
      if(this.anInterface6_8120 != null) {
         this.method13082(var2, var3, -1917144586);
         Class321 var4 = this.method13075((short)-5013);
         this.aClass321_8125.method5808(var4, this.aClass35_629.method965(1914280448));
         var4.method5817();
         this.aClass326_8123.method5894(this.anInterface6_8120.method21((byte)-49).method13977(-954266175));
         this.aClass35_629.method884(true, var1, this.aClass326_8122, this.aClass35_629.method988(-2041714178), this.aClass326_8123, this.aClass326_8124, -1114716378);
      }
   }

   public void method1412(float var1, Class272 var2, int[][][] var3) {
      if(this.anInterface6_8120 != null) {
         this.method13082(var2, var3, -1652518970);
         Class321 var4 = this.method13075((short)-2317);
         this.aClass321_8125.method5808(var4, this.aClass35_629.method965(1914280448));
         var4.method5817();
         this.aClass326_8123.method5894(this.anInterface6_8120.method21((byte)-4).method13977(537844572));
         this.aClass35_629.method884(true, var1, this.aClass326_8122, this.aClass35_629.method988(-943716977), this.aClass326_8123, this.aClass326_8124, -1114716378);
      }
   }

   public void method1413(float var1, Class272 var2, int[][][] var3) {
      if(this.anInterface6_8120 != null) {
         this.method13082(var2, var3, -1644633446);
         Class321 var4 = this.method13075((short)-2981);
         this.aClass321_8125.method5808(var4, this.aClass35_629.method965(1914280448));
         var4.method5817();
         this.aClass326_8123.method5894(this.anInterface6_8120.method21((byte)4).method13977(-205350156));
         this.aClass35_629.method884(true, var1, this.aClass326_8122, this.aClass35_629.method988(1667698609), this.aClass326_8123, this.aClass326_8124, -1114716378);
      }
   }

   public Class326 method1424() {
      Class326 var1 = Class326.method5922(this.aClass326_8116);
      var1.method5871(this.aClass321_8125);
      Class326 var2 = Class326.method5870(this.aClass326_8122, var1);
      var1.method5948();
      return var2;
   }

   public Class225_Sub29 method1417() {
      Class326 var1 = this.method1406(280492783);
      Class225_Sub29 var2 = new Class225_Sub29(1662291627 * this.anInt8121, (int)var1.aFloat4036, (int)var1.aFloat4037, (int)var1.aFloat4033);
      var1.method5948();
      return var2;
   }

   public Class225_Sub29 method1404() {
      Class326 var1 = this.method1406(828816038);
      Class225_Sub29 var2 = new Class225_Sub29(1662291627 * this.anInt8121, (int)var1.aFloat4036, (int)var1.aFloat4037, (int)var1.aFloat4033);
      var1.method5948();
      return var2;
   }

   public Class225_Sub29 method1416() {
      Class326 var1 = this.method1406(-1912129996);
      Class225_Sub29 var2 = new Class225_Sub29(1662291627 * this.anInt8121, (int)var1.aFloat4036, (int)var1.aFloat4037, (int)var1.aFloat4033);
      var1.method5948();
      return var2;
   }

   public boolean method1405(byte var1) {
      boolean var10000;
      if(!Float.isNaN(this.aClass326_8122.aFloat4036)) {
         if(var1 == 1) {
            ;
         }

         var10000 = true;
      } else {
         var10000 = false;
      }

      return var10000;
   }

   void method13082(Class272 var1, int[][][] var2, int var3) {
      if(this.method1405((byte)-122) && (this.aClass35_629.method929(198496723) || this.aClass35_629.method930((byte)21))) {
         Class321 var4 = this.method13075((short)-4089);
         if(this.aClass35_629.method930((byte)-49) && null != var2) {
            ;
         }

         var4.method5817();
      }

   }

   public void method1419(Class31 var1, int var2, int var3) {
      Class326 var4 = this.method1406(1071597429);
      var1.anInt371 = ((int)var4.aFloat4036 - var2) * 269727077;
      var1.anInt370 = (int)(-var4.aFloat4037) * -1799671305;
      var1.anInt369 = 300130081 * ((int)var4.aFloat4033 - var3);
      var4.method5948();
   }

   public void method1403(RS2Buffer var1) {
      Class48 var2 = Class338.method6230(var1.readUnsignedByte(-700559597), (byte)-91);
      int var3 = var1.readUnsignedShort(-937710807);
      this.aClass326_8116.method5872(var1);
      this.aClass321_8118.method5812(var1);
      if(var1.readUnsignedByte(-700559597) == 1) {
         this.aBool8119 = true;
      } else {
         this.aBool8119 = false;
      }

      this.anInt8117 = var1.readUnsignedShort(-937710807) * -404642145;
      this.anInterface6_8120 = this.aClass35_629.method881((byte)-15).method2(var2, var3, (byte)103);
   }

   public void method1418(Class31 var1, int var2, int var3) {
      Class326 var4 = this.method1406(-528524226);
      var1.anInt371 = ((int)var4.aFloat4036 - var2) * 269727077;
      var1.anInt370 = (int)(-var4.aFloat4037) * -1799671305;
      var1.anInt369 = 300130081 * ((int)var4.aFloat4033 - var3);
      var4.method5948();
   }

   public Class326 method1423() {
      Class326 var1 = Class326.method5922(this.aClass326_8116);
      var1.method5871(this.aClass321_8125);
      Class326 var2 = Class326.method5870(this.aClass326_8122, var1);
      var1.method5948();
      return var2;
   }

   public Class326 method1425() {
      Class326 var1 = Class326.method5922(this.aClass326_8116);
      var1.method5871(this.aClass321_8125);
      Class326 var2 = Class326.method5870(this.aClass326_8122, var1);
      var1.method5948();
      return var2;
   }

   public void method1415(float var1, Class272 var2, int[][][] var3, int var4) {
      if(this.anInterface6_8120 == null) {
         if(var4 == 1523250725) {
            ;
         }

      } else {
         this.method13082(var2, var3, -1403924458);
         Class321 var5 = this.method13075((short)7160);
         this.aClass321_8125.method5808(var5, this.aClass35_629.method965(1914280448));
         var5.method5817();
         this.aClass326_8123.method5894(this.anInterface6_8120.method21((byte)-44).method13977(-188944219));
         this.aClass35_629.method884(true, var1, this.aClass326_8122, this.aClass35_629.method988(778964647), this.aClass326_8123, this.aClass326_8124, -1114716378);
      }
   }

   public Class326 method1422() {
      Class326 var1 = Class326.method5922(this.aClass326_8116);
      var1.method5871(this.aClass321_8125);
      Class326 var2 = Class326.method5870(this.aClass326_8122, var1);
      var1.method5948();
      return var2;
   }

   public void method13083(Interface6 var1, Class326 var2, Class321 var3, boolean var4, int var5, Class272 var6, int[][][] var7) {
      this.anInterface6_8120 = var1;
      this.aClass326_8116.method5894(var2);
      this.aClass321_8118.method5775(var3);
      this.aBool8119 = var4;
      this.anInt8117 = -404642145 * var5;
      this.anInt8121 = this.anInterface6_8120.method21((byte)-77).anInt8645 * -674434517;
      this.method13082(var6, var7, -1656603951);
   }

   Class321 method13084() {
      Class321 var1 = Class321.method5774(this.aClass321_8118);
      if(this.aBool8119) {
         Class326 var2 = this.anInterface6_8120.method23(-2065886732);
         if(var2.method5889() < (float)(this.anInt8117 * -1089211041)) {
            var2 = Class326.method5868(0.0F, 0.0F, 1.0F);
            Class321 var3 = this.anInterface6_8120.method22(91084252);
            var2.method5871(var3);
         }

         var2.aFloat4037 = 0.0F;
         float var5 = (float)Math.atan2((double)var2.aFloat4036, (double)var2.aFloat4033);
         var2.method5948();
         Class321 var4 = new Class321();
         var4.method5784(0.0F, 1.0F, 0.0F, var5);
         var1.method5795(var4);
      }

      return var1;
   }

   public Class225_Sub29 method1407(byte var1) {
      Class326 var2 = this.method1406(95926291);
      Class225_Sub29 var3 = new Class225_Sub29(1662291627 * this.anInt8121, (int)var2.aFloat4036, (int)var2.aFloat4037, (int)var2.aFloat4033);
      var2.method5948();
      return var3;
   }

   void method13085(Class272 var1, int[][][] var2) {
      if(this.method1405((byte)70) && (this.aClass35_629.method929(-711222252) || this.aClass35_629.method930((byte)11))) {
         Class321 var3 = this.method13075((short)30311);
         if(this.aClass35_629.method930((byte)6) && null != var2) {
            ;
         }

         var3.method5817();
      }

   }

   public Class66_Sub2(Class35 var1) {
      super(var1);
   }

   public Class326 method13086() {
      return this.aClass326_8116;
   }

   public void method1409(RS2Buffer var1, byte var2) {
      Class48 var3 = Class338.method6230(var1.readUnsignedByte(-700559597), (byte)-33);
      int var4 = var1.readUnsignedShort(-937710807);
      this.aClass326_8116.method5872(var1);
      this.aClass321_8118.method5812(var1);
      if(var1.readUnsignedByte(-700559597) == 1) {
         this.aBool8119 = true;
      } else {
         this.aBool8119 = false;
      }

      this.anInt8117 = var1.readUnsignedShort(-937710807) * -404642145;
      this.anInterface6_8120 = this.aClass35_629.method881((byte)-62).method2(var3, var4, (byte)122);
   }

   public float method13087() {
      return Class123.method2377(this.aClass321_8118, (byte)-24);
   }

   public float method13088() {
      return Class248.method4453(this.aClass321_8118, -1916018745);
   }

   static final void method13089(Class508 var0, int var1) {
      int var2 = var0.anIntArray6027[(var0.anInt6003 -= 98312473) * -937710807];
      Class225_Sub14_Sub15 var3 = Class304.aClass243_3879.method4370(var2, (short)-30449);
      if(null == var3.anIntArray10570) {
         var0.anIntArray6027[(var0.anInt6003 += 98312473) * -937710807 - 1] = 0;
      } else {
         var0.anIntArray6027[(var0.anInt6003 += 98312473) * -937710807 - 1] = var3.anIntArray10570.length;
      }

   }

   static boolean method13090(int var0) {
      Class3.anInt98 = 1878653056;
      Class3.aClass180_62 = client.aClass180_7703;
      return Class316.method5605(971601016738667023L * Class3.aLong97 == -1L, true, "", "", Class3.aLong97 * 971601016738667023L);
   }
}
